<!--
 * @Date: 2020-08-05 19:49:51
 * @LastEditors: GWK
 * @LastEditTime: 2020-08-25 16:05:44
 * @FilePath: /Web_SDK/README.md
-->

# OCTOPUS SDK 使用说明

## 概述
---
linkv 是一款实时的音视频互动服务产品，能够为开发者提供便捷接入、高清流畅、多平台互通、低延迟、高并发的音视频服务，可以实现一对多，多对多的实时音视频互动，秀场直播，视频会议等场景, 此说明文档主要是 针对于 web 和 小程序接入流程进行说明.

## WEB
---
### 1 前提条件
- Web 站点必须为 localhost 或 https
- 单个房间内最多 9 人同时进行视频通话

### 2 兼容性
| 平台       | Chrome 57+ | Safari 11+ |
| ---------- | ---------- | ---------- |
| Windows 7+ | ✔️         | ✔️         |
| macOS      | ✔️         | ✔️         |

### 3 SDK 引入

#### 3.1 直接引用
```js
<script src="https://qa-web.linkv.fun/Web_SDK/dist/liveme/OctopusRTC-2.0.0.js"></script>
```

#### 3.2 npm 下载
 
```js
npm i linkv-octopus-webrtc
```

### 4 关于demo

- 如需查看 demo,请点击[demo](https://qa-web.linkv.fun/Web_Demo/dist/index.html#/),进行体验

### 5 接口文档

- 有关接口文档请查看[官网](http://document.linkv.io/),接口文档说明


## 小程序
---
### 1 准备环境

请确保开发环境满足以下技术要求：

- 已安装微信开发者工具
- 使用微信小程序基础库 1.7.0 及以上版本（否则不支持音视频播放、录制组件）

### 2 前提条件

- 微信小程序中的推拉流功能，需要用到微信提供的 live-player live-pusher 标签，暂只针对国内主体如下类目的小程序开放，需要先通过类目审核，再在微信公众平台 ，「开发」-「接口设置」中自助开通该组件权限。
-  linkv 分配给开发者的 URL（包含 HTTPS、WSS 协议），需要在微信公众平台进行“合法域名”配置后，小程序才能正常访问
微信后台配置地址：微信公众平台 -> 设置 -> 开发设置 -> 服务器域名
请开发者将 linkv 分配的请求域名，按照协议分类，填到指定的 request合法域名 或者 socket合法域名中.

### 3 SDK 引入

#### 3.1 直接下载

```js
<script src="https://qa-web.linkv.fun/Web_SDK/dist/liveme/OctopusRTCWX-2.0.0.js"></script>
```

#### 3.2 npm

```js
npm i linkv-octopus-miniprogram
```
点击开发者工具中的菜单栏：工具 --> 构建 npm，勾选“使用 npm 模块”选项

小程序使用npm 详见官方文档

### 4 集成 SDK

#### 4.1 直接引用js

```js
//拷贝文件 OctopusRTCWX  到小程序工程文件夹，使用 require 将 SDK 集成到项目中即可：
let OctopusRTCWX = require("../../../dist_mp/OctopusRTCWX-x.x.x.js");
```
#### 4.2 npm 集成

```js
let OctopusRTCWX = require("linkv-octopus-miniprogram");
```


### 5 接口文档

- 有关接口文档请查看[官网](http://document.linkv.io/),接口文档说明
