import { sourceCamera } from "../src/web/OctopusRTC-Lite";
import { errMsg } from '../src/common/exportInterface';
import EventEmitter from "eventemitter3";
import MediaDeviceInfoCategory from "../src/web/device/MediaDeviceInfoCategory";
declare class OctopusRTC extends EventEmitter {
    private _roomId;
    private _userId;
    private _logLevel;
    private _role;
    private _userName;
    private _octopusConfig;
    private _octopusClient;
    private _appId;
    private _defaultOctopusConfig;
    private _env;
    constructor(options: options.OctopusRTC);
    get roomId(): string;
    get userId(): string;
    get userName(): string;
    init(): void;
    isSupported(): boolean | undefined;
    login(roomId: string, role: 1 | 2, token: string): Promise<exportsData.loginSuccessResult[] | errMsg>;
    logout(): void;
    createStream(source: any): Promise<MediaStream>;
    destroyStream(mediastream: MediaStream): void;
    startPublishingStream(streamId: string, mediaElement: MediaStream, extraInfo?: any, publishOption?: any): Promise<void>;
    stopPublishingStream(streamId: string, mediaElement?: HTMLMediaElement): void;
    startPlayingStream(streamId: string, mediaElement?: HTMLMediaElement, audioOutput?: any, playOption?: any): Promise<MediaStream | void>;
    stopPlayingStream(streamId: string): void;
    updateMixStream(mixStreamConfig: options.mixStreamConfig): Promise<void>;
    replaceTrack(streamId: string, track: MediaStreamTrack): void;
    changeConstraints(streamId: string, type: 'audio' | 'video', constrains: MediaTrackConstraints & sourceCamera): Promise<errMsg | void>;
    muteSwitch(streamId: string, mute: boolean): void;
    cameraSwitch(streamId: string, state: 'close' | 'open'): void;
    private eventemitFunctions;
    devicesList(): Promise<MediaDeviceInfoCategory>;
    getCamerasList(): Promise<any>;
    getMicrophonesList(): Promise<any>;
    getSpeakersList(): Promise<any>;
}
export default OctopusRTC;
