import { HandlerFactory, HandlerInterface, HandlerRunOptions, HandlerSetLocalOfferSdpOptions, HandlerSetRemoteAnswerSdpOptions } from './HandlerInterface';
import { RtpCapabilities } from '../RtpParameters';
export declare class Handler extends HandlerInterface {
    private _statistics;
    protected _direction: 'send' | 'recv';
    protected readonly _sendStream: MediaStream;
    protected _pc: any;
    protected _customBitrate: number;
    protected _hasTrack: boolean;
    protected _isNegotiating: boolean;
    protected _transceiverArr: Array<RTCRtpTransceiver>;
    static createFactory(): HandlerFactory;
    constructor();
    get name(): string;
    getNativeRtpCapabilities(): Promise<RtpCapabilities>;
    close(): void;
    run({ direction, iceServers, iceTransportPolicy }: HandlerRunOptions): void;
    setLocalOfferSdp(params?: HandlerSetLocalOfferSdpOptions): Promise<void>;
    setRemoteAnswerSdp({ remoteAnswerSdp, candidateArray }: HandlerSetRemoteAnswerSdpOptions): Promise<void>;
    stopTransceiver(): void;
    negotiationNeededHandleEvent(e: Event): Promise<void>;
    ICEConnectionStateChangeHandleEvent(e: Event): void;
    trackHandleEvent(e: RTCTrackEvent): void;
    setBitrateValue(bitrate: number): void;
    private setSdpCustomBitrate;
    replaceTrack(track: MediaStreamTrack): Promise<void>;
    transportStats(): Promise<void>;
    private _assertSendDirection;
    private _assertRecvDirection;
}
