import EventEmitter from "eventemitter3";
interface StatisticsOptions {
    reportInterval?: number;
    statsData: RTCStatsReport;
}
declare class Statistics extends EventEmitter {
    private _statsData;
    private _reportInterval;
    private _reportHandle;
    private _reportCollecting;
    private _currentRTCStatsReport;
    private _previousRTCStatsReport;
    constructor(options: StatisticsOptions);
    get reportCollecting(): boolean;
    startInterval(): void;
    stopInterval(): void;
    private _collectRTCStatsReport;
    private _analysisRTCStatsReport;
    private _appendOutVideoMediaStreamStatistics;
    private _appendOutAudioMediaStreamStatistics;
    private _appendOutVideoMediaSourceStatistics;
    private _appendOutVideoMediaTrackStatistics;
    private _appendInVideoMediaStreamStatistics;
    private _appendInAudioMediaStreamStatistics;
    private _appendInVideoMediaTrackStatistics;
    private _calculateKBitsPerSecond;
    private _calculatePacketsPerSecond;
    private _calcuateFramesPerSecond;
    private _calcuatePacketsLostRatio;
}
export default Statistics;
