import MediaDeviceControllerOptions from "./MediaDeviceControllerOptions";
import MediaDeviceCategory from "./MediaDeviceCategory";
import { errMsg } from '../../common/errorCode';
declare class MediaController {
    private _userId;
    private _logger;
    constructor(options: MediaDeviceControllerOptions);
    static enumerateDevices(onSuccess?: (deviceInfo: MediaDeviceCategory) => void, onFailed?: (reason?: any) => void): Promise<MediaDeviceCategory>;
    startPreview(constraints?: MediaStreamConstraints, element?: HTMLMediaElement): Promise<string | MediaStream>;
    getLocalCameraMediaStream(constraints?: MediaStreamConstraints): Promise<MediaStream>;
    saveCurrentStream(mediastream: MediaStream): void;
    addTrack(track: MediaStreamTrack): MediaStream;
    deleteCurrentStream(mediastream: MediaStream): void;
    stopPreview(element: HTMLMediaElement | MediaStream): Promise<void>;
    enumerateDevices(onSuccess?: (deviceInfo: MediaDeviceCategory) => void, onFailed?: (reason?: any) => void): Promise<MediaDeviceCategory>;
    publishMedia(pc: any): void;
    getDeviceCapabilities(): MediaTrackCapabilities | void;
    changeAudioConstraints(constraints: MediaTrackConstraints): Promise<errMsg>;
    changeVideoConstraints(constraints: MediaTrackConstraints): Promise<errMsg>;
    ableCamera(): void;
    disableCamera(): void;
}
export default MediaController;
