declare module "signalingRes" {

    interface paticipants{
        room_id: string;
        session_id: string;
        user_id: string;
        show: string;
        role: string;
        edge_id: string;
        stream_id: string;
        pull_urls: string;
    }

    export interface joinSuccessMsg {
        code: number;
        timestamp: number;
        session_id: string;
        room_id: string;
        user_id: string;
        participants: Array<paticipants>;
        connect_state: number
    }

    interface candidata{
        candidate: string;
        sdpMid: string;
        sdpMLineIndex: number;
        __module__: string;
    }

    export interface iceCandidate{
        timestamp: number;
        user_id: string;
        room_id: string;
        session_id: string;
        candidate: candidata;
    }

    export interface answerSDP{
        code: number;
        timestamp: number;
        room_id: string;
        session_id: string;
        user_id: string;
        sdp_answer: string;
        peer_id: number;
    }

    export interface addParticipants{
        code: number;
        timestamp: number;
        user_id: string;
        participants: Array<paticipants>
    }

    export interface updateParticipant{
        code: number;
        timestamp: number;
        room_id: string;
        session_id: string;
        user_id: string;
    }

    export interface removeParticipant{
        code: number;
        timestamp: number;
        room_id: string;
        session_id: string;
        user_id: string;
    }

    export interface muteParticipantResp{
        code: number;
        message: string; 
    }

    export interface commonres{
        code: number
    }
}
    
